import request from '@/utils/request'

// 查询补卡、请假流程配置列表
export function listConfiguration(query) {
  return request({
    url: '/system/configuration/list',
    method: 'get',
    params: query
  })
}

// 查询补卡、请假流程配置详细
export function getConfiguration(id) {
  return request({
    url: '/system/configuration/' + id,
    method: 'get'
  })
}

// 新增补卡、请假流程配置
export function addConfiguration(data) {
  return request({
    url: '/system/configuration',
    method: 'post',
    data: data
  })
}

// 修改补卡、请假流程配置
export function updateConfiguration(data) {
  return request({
    url: '/system/configuration/put',
    method: 'post',
    data: data
  })
}

// 删除补卡、请假流程配置
export function delConfiguration(id) {
  return request({
    url: '/system/configuration/delete/' + id,
    method: 'get'
  })
}
